// AktCesta.cpp : implementation file
//

#include "stdafx.h"
#include "Mapa.h"
#include "AktCesta.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// AktCesta dialog


AktCesta::AktCesta(CWnd* pParent /*=NULL*/)
	: CDialog(AktCesta::IDD, pParent)
{
	//{{AFX_DATA_INIT(AktCesta)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void AktCesta::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(AktCesta)
	DDX_Control(pDX, IDC_LIST1, m_ctlList);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(AktCesta, CDialog)
	//{{AFX_MSG_MAP(AktCesta)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// AktCesta message handlers

BOOL AktCesta::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_ctlList.InsertColumn(0,"Odkud",LVCFMT_LEFT,180);
	m_ctlList.InsertColumn(1,"Kam",LVCFMT_LEFT,180);
	m_ctlList.InsertColumn(2,"Dlka",LVCFMT_LEFT,90);
	m_ctlList.InsertColumn(3,"Doba jzdy",LVCFMT_LEFT,90);

	m_ctlList.SetExtendedStyle(LVS_EX_FULLROWSELECT|LVS_EX_GRIDLINES);

	if (!pDoc->m_bAktCesta) return TRUE;

	for (int i=0;i+1<pDoc->m_aAktCesta.GetSize();i++) {
		int odkud=pDoc->m_aAktCesta[i].index;
		int kam=pDoc->m_aAktCesta[i+1].index;

		CString sodkud=pDoc->m_aMesta[odkud].name;
		CString skam=pDoc->m_aMesta[kam].name;
		CString svzdalenost;
		CString sdoba;

		svzdalenost.Format("%d km",(int)(pDoc->m_aAktCesta[i+1].vzdal));
		int idoba=(int)(pDoc->m_aAktCesta[i+1].times);
		sdoba.Format("%dh : %02dm : %02ds",idoba/3600,(idoba/60)%60,idoba%60);

		int pos=m_ctlList.InsertItem(i,sodkud);
		m_ctlList.SetItemText(pos,1,skam);
		m_ctlList.SetItemText(pos,2,svzdalenost);
		m_ctlList.SetItemText(pos,3,sdoba);
	}
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
