// MapaView.h : interface of the CMapaView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAPAVIEW_H__C80D7513_438D_4C2D_90A2_A2890D0AA1A0__INCLUDED_)
#define AFX_MAPAVIEW_H__C80D7513_438D_4C2D_90A2_A2890D0AA1A0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CMapaView : public CScrollView
{
protected: // create from serialization only
	CMapaView();
	DECLARE_DYNCREATE(CMapaView)

// Attributes
public:
	CMapaDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMapaView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMapaView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
private:
	bool DoesCitiExist(CString name);
	COLORREF v60,v90,v130;
	bool m_bCesty;
	bool m_bBarvy;
	bool m_bDelky;
	int m_intZoom;
protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CMapaView)
	afx_msg void OnZobrmapy();
	afx_msg void OnCesty();
	afx_msg void OnFind();
	afx_msg void OnCancelAkt();
	afx_msg void OnUpdateCancelAkt(CCmdUI* pCmdUI);
	afx_msg void OnListAct();
	afx_msg void OnUpdateListAct(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in MapaView.cpp
inline CMapaDoc* CMapaView::GetDocument()
   { return (CMapaDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAPAVIEW_H__C80D7513_438D_4C2D_90A2_A2890D0AA1A0__INCLUDED_)
