// ZobrMapy.cpp : implementation file
//

#include "stdafx.h"
#include "Mapa.h"
#include "ZobrMapy.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CZobrMapy dialog


CZobrMapy::CZobrMapy(int z,CWnd* pParent /*=NULL*/)
	: CDialog(CZobrMapy::IDD, pParent),zoom(z)
{
	//{{AFX_DATA_INIT(CZobrMapy)
	m_bCesty = FALSE;
	m_bBarvy = FALSE;
	m_bDelky = FALSE;
	//}}AFX_DATA_INIT
}


void CZobrMapy::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CZobrMapy)
	DDX_Control(pDX, IDC_SLIDER1, m_ctlZoom);
	DDX_Check(pDX, IDC_CHECK1, m_bCesty);
	DDX_Check(pDX, IDC_CHECK2, m_bBarvy);
	DDX_Check(pDX, IDC_CHECK3, m_bDelky);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CZobrMapy, CDialog)
	//{{AFX_MSG_MAP(CZobrMapy)
	ON_BN_CLICKED(IDC_BUTTON1, OnV60)
	ON_BN_CLICKED(IDC_BUTTON2, OnV90)
	ON_BN_CLICKED(IDC_BUTTON3, OnV130)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CZobrMapy message handlers

BOOL CZobrMapy::OnInitDialog() 
{
	CDialog::OnInitDialog();

	m_ctlZoom.SetRange(0,30000);
	m_ctlZoom.SetPos(zoom);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CZobrMapy::OnOK() 
{
	zoom=m_ctlZoom.GetPos();
	
	CDialog::OnOK();
}

void CZobrMapy::OnV60() 
{
	CColorDialog dlg(v60,CC_FULLOPEN);	

	if (dlg.DoModal()==IDOK) {
		v60=dlg.GetColor();
	}
}

void CZobrMapy::OnV90() 
{
	CColorDialog dlg(v90,CC_FULLOPEN);	

	if (dlg.DoModal()==IDOK) {
		v90=dlg.GetColor();
	}
}

void CZobrMapy::OnV130() 
{
	CColorDialog dlg(v130,CC_FULLOPEN);	

	if (dlg.DoModal()==IDOK) {
		v130=dlg.GetColor();
	}
}
