// Cesty.cpp : implementation file
//

#include "stdafx.h"
#include "Mapa.h"
#include "Cesty.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCesty dialog


CCesty::CCesty(CWnd* pParent /*=NULL*/)
	: CDialog(CCesty::IDD, pParent)
{
	//{{AFX_DATA_INIT(CCesty)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CCesty::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCesty)
	DDX_Control(pDX, IDC_LIST1, m_ctlList);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CCesty, CDialog)
	//{{AFX_MSG_MAP(CCesty)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCesty message handlers

BOOL CCesty::OnInitDialog() 
{
	CDialog::OnInitDialog();

	m_ctlList.InsertColumn(0,"Odkud",LVCFMT_LEFT,180);
	m_ctlList.InsertColumn(1,"Kam",LVCFMT_LEFT,180);
	m_ctlList.InsertColumn(2,"Dlka",LVCFMT_LEFT,90);
	m_ctlList.InsertColumn(3,"Doba jzdy",LVCFMT_LEFT,90);

	m_ctlList.SetExtendedStyle(LVS_EX_FULLROWSELECT|LVS_EX_GRIDLINES);

	CString sodkud=pDoc->m_aMesta[cindex].name;
	CString skam;
	CString svzdalenost;
	CString sdoba;

	for(int nindex=0;nindex<pDoc->m_aMesta[cindex].m_aCesty.GetSize();nindex++) {
		int kam=pDoc->m_aMesta[cindex].m_aCesty[nindex].kam;

		skam=pDoc->m_aMesta[kam].name;

		svzdalenost.Format("%lu km",pDoc->m_aMesta[cindex].m_aCesty[nindex].len);
		double ddoba=pDoc->m_aMesta[cindex].m_aCesty[nindex].len / (double) pDoc->m_aMesta[cindex].m_aCesty[nindex].rychlost;
		ddoba*=3600;
		int idoba=(int)ddoba;
		sdoba.Format("%dh : %02dm : %02ds",idoba/3600,(idoba/60)%60,idoba%60);

		int pos=m_ctlList.InsertItem(nindex,sodkud);
		m_ctlList.SetItemText(pos,1,skam);
		m_ctlList.SetItemText(pos,2,svzdalenost);
		m_ctlList.SetItemText(pos,3,sdoba);
	}
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
