// MapaDoc.h : interface of the CMapaDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAPADOC_H__D750F5D1_E7CB_4D79_A91C_537D5D397D6E__INCLUDED_)
#define AFX_MAPADOC_H__D750F5D1_E7CB_4D79_A91C_537D5D397D6E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

struct cesta {
	unsigned int kam;
	int len;
	int rychlost;
};

struct misto {
	int index;
	double vzdal;
	double times;
	double spot;
};

struct mesto {
	CString name;
	int x,y;
	CArray<cesta,cesta> m_aCesty;
};

class CMapaDoc : public CDocument
{
protected: // create from serialization only
	CMapaDoc();
	DECLARE_DYNCREATE(CMapaDoc)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMapaDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMapaDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CMapaDoc)
	afx_msg void OnFileOpen();
	afx_msg void OnFileSave();
	afx_msg void OnUpdateFileSave(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	CString GetString(FILE *fr);
	CMap<CString,LPCSTR,unsigned,unsigned> m_mapMesta;
	CMap<unsigned,unsigned,double,double> m_mapSpotreba;
	CArray<mesto,mesto&> m_aMesta;

	bool m_bAktCesta;
	CArray<misto,misto> m_aAktCesta;
private:
	CString GetTag(FILE *fr);
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAPADOC_H__D750F5D1_E7CB_4D79_A91C_537D5D397D6E__INCLUDED_)
